<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/SpeakerManager/include/SpeakerManager/SpeakerManager.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_bc46a16e1ec7aec8565980dcd59aba5c.html">SpeakerManager</a></li><li class="navelem"><a class="el" href="dir_58f46be1458388d2fc10aa8246ff1704.html">include</a></li><li class="navelem"><a class="el" href="dir_a869cc6fda2838386502524bc993d90a.html">SpeakerManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpeakerManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_speaker_manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;future&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;unordered_set&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_a_v_s_directive_8h.html">AVSCommon/AVS/AVSDirective.h</a>&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_agent_8h.html">AVSCommon/AVS/CapabilityAgent.h</a>&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_8h.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capability_configuration_interface_8h.html">AVSCommon/SDKInterfaces/CapabilityConfigurationInterface.h</a>&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_context_manager_interface_8h.html">AVSCommon/SDKInterfaces/ContextManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_sender_interface_8h.html">AVSCommon/SDKInterfaces/MessageSenderInterface.h</a>&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_manager_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerManagerInterface.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speaker_manager_observer_interface_8h.html">AVSCommon/SDKInterfaces/SpeakerManagerObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_executor_8h.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html">   39</a></span>&#160;<span class="keyword">namespace </span>speakerManager {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">   59</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">avsCommon::avs::CapabilityAgent</a></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface.html">avsCommon::sdkInterfaces::SpeakerManagerInterface</a></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a> {</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;SpeakerManager&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a319ce0e3615969726fcfd3cfc551c2b0">create</a>(</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;&amp; speakers,</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">avsCommon::avs::DirectiveHandlerConfiguration</a> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a31a2e9278c0505fc9316e251364a1a3c">getConfiguration</a>() <span class="keyword">const override</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a2ec25694969d42a4d37a88a56ef182e9">handleDirectiveImmediately</a>(std::shared_ptr&lt;avsCommon::avs::AVSDirective&gt; directive) <span class="keyword">override</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a781314696e570387bafc7b00ab6942c3">preHandleDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#ad9cdfd9724dd9abd5fe9c270947c1884">handleDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a1069b701f6fd4e83c173588097cd2b14">cancelDirective</a>(std::shared_ptr&lt;avsCommon::avs::CapabilityAgent::DirectiveInfo&gt; info) <span class="keyword">override</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="comment">// @name RequiresShutdown Functions</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment"></span>    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#af5bea5c3dbdba3891157fce9b8e86529">doShutdown</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="comment">// @name SpeakerManagerInterface Functions</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment"></span>    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a3bf5a4e603c4a21165dc5d37d888f9a7">setVolume</a>(</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        int8_t volume,</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#ad4443122a3af686c43d67c82c3ed2228">adjustVolume</a>(</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        int8_t delta,</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a8f5698d84e6a476a3ececc05a29e84f6">setMute</a>(</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordtype">bool</span> mute,</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    std::future&lt;bool&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a64ca4ca869bdcaf2367267c0fc9eb5b5">getSpeakerSettings</a>(</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>* settings) <span class="keyword">override</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a9aedda2a6cc6c9a799e92c53b6ff95b3">addSpeakerManagerObserver</a>(</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerObserverInterface&gt; observer) <span class="keyword">override</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a19450394ea7ecea3b1a3750f16829983">removeSpeakerManagerObserver</a>(</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerObserverInterface&gt; observer) <span class="keyword">override</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a1a13c124349537322b1fcebb7374c5a5">addSpeaker</a>(std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt; speaker) <span class="keyword">override</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#acc52665e764dabf5a8e2280f8036be64">getCapabilityConfigurations</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">SpeakerManager</a>(</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;&amp; speakerInterfaces,</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; contextManager,</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; messageSender,</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface&gt; exceptionEncounteredSender,</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keyword">const</span> <span class="keywordtype">int</span> minUnmuteVolume);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordtype">bool</span> parseDirectivePayload(std::string payload, rapidjson::Document* document);</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordtype">void</span> executeSetHandlingCompleted(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">void</span> removeDirective(std::shared_ptr&lt;DirectiveInfo&gt; info);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keywordtype">void</span> sendExceptionEncountered(</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        std::shared_ptr&lt;CapabilityAgent::DirectiveInfo&gt; info,</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        <span class="keyword">const</span> std::string&amp; message,</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">avsCommon::avs::ExceptionErrorType</a> type);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    <span class="keywordtype">bool</span> updateContextManager(</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type,</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings);</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordtype">void</span> executeSendSpeakerSettingsChangedEvent(</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        <span class="keyword">const</span> std::string&amp; eventName,</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a> settings);</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <span class="keywordtype">bool</span> executeSetVolume(</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        int8_t volume,</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a> source,</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="keywordtype">bool</span> executeRestoreVolume(</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a> source);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;    <span class="keywordtype">bool</span> executeAdjustVolume(</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;        int8_t delta,</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a> source,</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>);</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <span class="keywordtype">bool</span> executeSetMute(</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;        <span class="keywordtype">bool</span> mute,</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a> source,</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        <span class="keywordtype">bool</span> forceNoNotifications = <span class="keyword">false</span>);</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    <span class="keywordtype">bool</span> executeGetSpeakerSettings(</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>* settings);</div><div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    <span class="keywordtype">void</span> executeNotifySettingsChanged(</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings,</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;        <span class="keyword">const</span> std::string&amp; eventName,</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a>&amp; source,</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type);</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    <span class="keywordtype">void</span> executeNotifyObserver(</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a>&amp; source,</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>&amp; type,</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;        <span class="keyword">const</span> <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>&amp; settings);</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    <span class="keywordtype">bool</span> validateSpeakerSettingsConsistency(</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a>* settings);</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::ContextManagerInterface&gt; m_contextManager;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;    std::shared_ptr&lt;avsCommon::sdkInterfaces::MessageSenderInterface&gt; m_messageSender;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">int</span> m_minUnmuteVolume;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;</div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    std::multimap&lt;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a>,</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;        std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;        m_speakerMap;</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerManagerObserverInterface&gt;&gt; m_observers;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;    std::unordered_set&lt;std::shared_ptr&lt;avsCommon::avs::CapabilityConfiguration&gt;&gt; m_capabilityConfigurations;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">avsCommon::utils::threading::Executor</a> m_executor;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;};</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;}  <span class="comment">// namespace speakerManager</span></div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">alexaClientSDK::avsCommon::avs::CapabilityAgent</a></div><div class="ttdef"><b>Definition:</b> CapabilityAgent.h:47</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a31a2e9278c0505fc9316e251364a1a3c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a31a2e9278c0505fc9316e251364a1a3c">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::getConfiguration</a></div><div class="ttdeci">avsCommon::avs::DirectiveHandlerConfiguration getConfiguration() const override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:154</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a1a13c124349537322b1fcebb7374c5a5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a1a13c124349537322b1fcebb7374c5a5">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::addSpeaker</a></div><div class="ttdeci">void addSpeaker(std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerInterface &gt; speaker) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:715</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_ad4443122a3af686c43d67c82c3ed2228"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#ad4443122a3af686c43d67c82c3ed2228">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::adjustVolume</a></div><div class="ttdeci">std::future&lt; bool &gt; adjustVolume(avsCommon::sdkInterfaces::SpeakerInterface::Type type, int8_t delta, bool forceNoNotifications=false) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:558</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager</a></div><div class="ttdef"><b>Definition:</b> SpeakerManager.h:59</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a3bf5a4e603c4a21165dc5d37d888f9a7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a3bf5a4e603c4a21165dc5d37d888f9a7">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::setVolume</a></div><div class="ttdeci">std::future&lt; bool &gt; setVolume(avsCommon::sdkInterfaces::SpeakerInterface::Type type, int8_t volume, bool forceNoNotifications=false) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:493</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capability_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilityConfigurationInterface</a></div><div class="ttdef"><b>Definition:</b> CapabilityConfigurationInterface.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerInterface</a></div><div class="ttdef"><b>Definition:</b> SpeakerManagerInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a9aedda2a6cc6c9a799e92c53b6ff95b3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a9aedda2a6cc6c9a799e92c53b6ff95b3">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::addSpeakerManagerObserver</a></div><div class="ttdeci">void addSpeakerManagerObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerManagerObserverInterface &gt; observer) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:371</div></div>
<div class="ttc" id="_capability_agent_8h_html"><div class="ttname"><a href="_capability_agent_8h.html">CapabilityAgent.h</a></div></div>
<div class="ttc" id="_speaker_interface_8h_html"><div class="ttname"><a href="_speaker_interface_8h.html">SpeakerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="_speaker_manager_interface_8h_html"><div class="ttname"><a href="_speaker_manager_interface_8h.html">SpeakerManagerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1threading_1_1_executor.html">alexaClientSDK::avsCommon::utils::threading::Executor</a></div><div class="ttdef"><b>Definition:</b> Executor.h:39</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_ae31d62036894f4c57c46d65dee1482fc"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">alexaClientSDK::avsCommon::avs::ExceptionErrorType</a></div><div class="ttdeci">ExceptionErrorType</div><div class="ttdef"><b>Definition:</b> ExceptionErrorType.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a1069b701f6fd4e83c173588097cd2b14"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a1069b701f6fd4e83c173588097cd2b14">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::cancelDirective</a></div><div class="ttdeci">void cancelDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:367</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a2c1f3500cf37d70ffd6c1067f9c7f921"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a2c1f3500cf37d70ffd6c1067f9c7f921">alexaClientSDK::avsCommon::avs::DirectiveHandlerConfiguration</a></div><div class="ttdeci">std::unordered_map&lt; NamespaceAndName, BlockingPolicy &gt; DirectiveHandlerConfiguration</div><div class="ttdef"><b>Definition:</b> DirectiveHandlerConfiguration.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_ad9cdfd9724dd9abd5fe9c270947c1884"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#ad9cdfd9724dd9abd5fe9c270947c1884">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::handleDirective</a></div><div class="ttdeci">void handleDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:245</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a64ca4ca869bdcaf2367267c0fc9eb5b5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a64ca4ca869bdcaf2367267c0fc9eb5b5">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::getSpeakerSettings</a></div><div class="ttdeci">std::future&lt; bool &gt; getSpeakerSettings(avsCommon::sdkInterfaces::SpeakerInterface::Type type, avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings *settings) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:691</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a781314696e570387bafc7b00ab6942c3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a781314696e570387bafc7b00ab6942c3">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::preHandleDirective</a></div><div class="ttdeci">void preHandleDirective(std::shared_ptr&lt; avsCommon::avs::CapabilityAgent::DirectiveInfo &gt; info) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:171</div></div>
<div class="ttc" id="_executor_8h_html"><div class="ttname"><a href="_executor_8h.html">Executor.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a19450394ea7ecea3b1a3750f16829983"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a19450394ea7ecea3b1a3750f16829983">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::removeSpeakerManagerObserver</a></div><div class="ttdeci">void removeSpeakerManagerObserver(std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerManagerObserverInterface &gt; observer) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:386</div></div>
<div class="ttc" id="_context_manager_interface_8h_html"><div class="ttname"><a href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></div></div>
<div class="ttc" id="_capability_configuration_8h_html"><div class="ttname"><a href="_capability_configuration_8h.html">CapabilityConfiguration.h</a></div></div>
<div class="ttc" id="_message_sender_interface_8h_html"><div class="ttname"><a href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a2ec25694969d42a4d37a88a56ef182e9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a2ec25694969d42a4d37a88a56ef182e9">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::handleDirectiveImmediately</a></div><div class="ttdeci">void handleDirectiveImmediately(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:175</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a319ce0e3615969726fcfd3cfc551c2b0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a319ce0e3615969726fcfd3cfc551c2b0">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::create</a></div><div class="ttdeci">static std::shared_ptr&lt; SpeakerManager &gt; create(const std::vector&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerInterface &gt;&gt; &amp;speakers, std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExceptionEncounteredSenderInterface &gt; exceptionEncounteredSender)</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:85</div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_1_1_speaker_settings.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings</a></div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:50</div></div>
<div class="ttc" id="_speaker_manager_observer_interface_8h_html"><div class="ttname"><a href="_speaker_manager_observer_interface_8h.html">SpeakerManagerObserverInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_capability_configuration_interface_8h_html"><div class="ttname"><a href="_capability_configuration_interface_8h.html">CapabilityConfigurationInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_af5bea5c3dbdba3891157fce9b8e86529"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#af5bea5c3dbdba3891157fce9b8e86529">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::doShutdown</a></div><div class="ttdeci">void doShutdown() override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:163</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_acc52665e764dabf5a8e2280f8036be64"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#acc52665e764dabf5a8e2280f8036be64">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::getCapabilityConfigurations</a></div><div class="ttdeci">std::unordered_set&lt; std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt; &gt; getCapabilityConfigurations() override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:725</div></div>
<div class="ttc" id="_a_v_s_directive_8h_html"><div class="ttname"><a href="_a_v_s_directive_8h.html">AVSDirective.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager_html_a8f5698d84e6a476a3ececc05a29e84f6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a8f5698d84e6a476a3ececc05a29e84f6">alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::setMute</a></div><div class="ttdeci">std::future&lt; bool &gt; setMute(avsCommon::sdkInterfaces::SpeakerInterface::Type type, bool mute, bool forceNoNotifications=false) override</div><div class="ttdef"><b>Definition:</b> SpeakerManager.cpp:616</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface_html_a38d6a50cc5799f07612827e1a163babb"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source</a></div><div class="ttdeci">Source</div><div class="ttdoc">Indicates whether the source of the call is from an AVS Directive or through a Local API call...</div><div class="ttdef"><b>Definition:</b> SpeakerManagerObserverInterface.h:35</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
